Subject: bug#61510: 28.2; dired-hide-details-mode shows symlink targets after entering and exiting wdired

From: Stephen Berman <[email-masked]>
Date: Fri, 24 Feb 2023 16:48:23 +0100

On Sun, 19 Feb 2023 11:48:58 +0100 Stephen Berman <[email-masked]> wrote:

>> Gesendet: Samstag, den 18.02.2023 um 17:41 Uhr
>> Von: "Eli Zaretskii" <[email-masked]>
>> An: "Stephen Berman" <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Betreff: Re: bug#61510: 28.2; dired-hide-details-mode shows symlink targets
>> after entering and exiting wdired
>> 
>> > From: Stephen Berman <[email-masked]>
>> > Cc: Iñaki Cornejo de la Mora <[email-masked]>,
>> >   [email-masked]
>> > Date: Wed, 15 Feb 2023 00:44:55 +0100
>> > 
>> > > To make the investigation of this issue easier, could you please post
>> > > a step-by-step recipe for reproducing this starting from "emacs -Q"?
>> > 
>> > I can reproduce the problem:
>> 
>> Thanks.
>> 
>> > With the patch below the result after step 4 is "bla ->".  But I haven't
>> > tested it with any other case, so maybe it has unwanted consequences.
>> 
>> I think this is the right fix, so please install this on the emacs-29
>> branch.
>
> Thanks. I'm traveling right now and won't be able to do that till I return
> next Friday.

I've now committed the fix to emacs-29 and added a test.

Steve Berman